ulong byte_exists (byte array[], byte byte, int length)
{
  ulong -a same_as (pint -&w cntr, byte current, byte byte)
  {
    *cntr ++; return (current == byte) ? 1 : 0;                              
  }

  while (cntr < length)
  {
    if (array[cntr]->same_as (&cntr, byte)) return 1;
  },
  {
    int cntr = 0
  }
  else
  {
    return 0;
  }
}
